X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How can I install an older version of FireFox to test our site?

Posted

I am in QA for SimpleTuition. We get feedback about showing hidden fields on older versions of Firefox, but I cannot test the fix on the current version. I need to install Firefox 5.?

Additional System Details

Installed Plug-ins

  • npunagi2
  • Adobe Acrobat Plug-In Version 7.00 for Netscape
  • Office Plugin for Netscape Navigator
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 10.3 r183
  • iTunes Detector Plug-in
  • 2.0.31005.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0

More Information

David McRitchie 321 solutions 3089 answers

Helpful Reply

For those that really need to test an earlier version of Firefox, find your system and the Firefox version you want in releases, download and start the install.

Users should be on either 3.6.21 or 6.0.2


Changed response because poster wanted Firefox 5 so response for 3.6.21 is not

https://support.mozilla.com/en-US/questions/872251

Modified by David McRitchie

cor-el
  • Top 10 Contributor
  • Moderator
10779 solutions 97012 answers

The latest Firefox 3.6.x version is 3.6.22

Do a custom install and install each version in its own program folder to use multiple Firefox versions.

Create a new profile exclusively for each Firefox version.
Create a desktop shortcut with -P "profile" appended to the target to launch each Firefox version with its own profile.

See these mozillaZine KB articles for information: